# Guida utente per l'emulatore di terminale di Gnome

Miguel
de Icaza
Michael
Zucchi
documentazione in via di sviluppo

Questo documento può essere liberamente distribuito entro i termini della Licenza Pubblica Generale GNU. Traduzione italian a cura di Christopher R. Gabriel, cgabriel@pluto.linux.it.

## La guida utente dell'emulatore di terminale di Gnome.

### Descrizione

gnome-terminal è un programma emulatore di terminale che fa parte del progetto Gnome. Fornisce l'accesso alla shell Unix all'interno dell'ambiente di lavoro di Gnome.

gnome-terminal supporta la visualizzazione a colori (vedere la sezione sulle variabili di ambiente per i dettagli) e fornisce il supporto per il mouse alle applicazioni che tengono conto degli eventi generati da questo in un terminale di tipo xterm.

### Emulazione

Il programma terminale di Gnome (gnome-terminal) è progettato per emulare il programma 'xterm' fornito dal X Consortium. D'altra parte, quest'ultimo è una completa emulazione del terminale DEC VT102.

Il programma terminale di Gnome supporta le stesse estensioni del VT102 fornite da xterm, attraverso particolari sequenze di escape. Il programma xterm è un programma in continua evoluzione. I recenti cambiamenti a xterm sono stati aggiunti a gnome-terminal. Tra questi, l'emulazione delle sequenze di escape del nuovo terminale VT220.

### Opzioni configurabili

Le opzioni configurabili sono modificabili attraverso la finestra di dialogo delle preferenze, che può essere visualizzata dalla voce del menu correlata, all'interno del menu "Impostazioni" presente nella barra del menu di gnome-terminal.

#### Opzioni generiche

Mentre la maggior parte delle opzioni si spiegano da sole, qui ne discuteremo alcune a cui dovete dedicare particolare attenzione.

Classe del terminale

  Imposta la classe del terminale utilizzata all'interno della configurazione. Fate riferimenti alla sezione classi per maggiori informazioni.

Selezione di caratteri-parole

  Definisce una lista di caratteri (o classi di caratteri) che devono essere considerati come appartenenti ad una parola. Questi vengono utilizzati quando si seleziona una parola.

#### Configurazione dei colori

Il terminale di Gnome supporta completamente le estensioni per i colori presenti in xterm. Queste opzioni vi permettono di modificare i colori visualizzati.

Tavolozza dei colori

  gnome-terminal supporta quattro schemi di colori: la console di Linux, i colori di Xterm, i colori di rxvt e uno totalmente personalizzabile. Questi definiscono l'intensità e i colori per le sedici combinazioni di colori ANSI che sono supportate da questi terminali.

  Se avete selezionato l'opzione personalizzabile, allora tutti e sedici i colori (nominalmente 8 colori normali e 8 più chiari) possono essere personalizzati selezionando l'apposito selettore.

Combinazione di colori primari

  Quando nessun colore è richiesto dall'applicazione in esecuzione all'interno del gnome-terminal, questo vi permette di ignorare i colori standard per il testo e per lo sfondo.

  Sono disponibili le seguenti opzioni: bianco su nero, nero su bianco, verde su nero, nero su giallo chiaro e personalizzabile. Come queste appaiono sullo schermo dipende dalla tavolozza in uso (per il bianco su nero e nero su bianco). Personalizzabile vi permette di selezionare indipendentemente dalla tavolozza il colore predefinito per il testo e lo sfondo.

  Inoltre l'utente può trascinare un colore dal rettangolo a fianco della ruota dei colori e rilasciarlo all'interno del terminale. Se l'utente trascina il colore su uno spazio vuoto, questo verrà utilizzato per lo sfondo, invece se verrà rilasciato su testo questo diventerà il colore per il testo. Ciò inoltre modificherà automaticamente i colori personalizzabili, e impostare il nuovo colore per lo sfondo e per il testo.

### Classi di terminali

Il terminale di Gnome vi permette di gestire differenti configurazioni per soddisfare particolari esigenze (sfondi differenti, presenza, assenza o posizione delle barre di scorrimento e così via). Per impostare queste opzioni, visualizzate la finestre di dialogo delle preferenze dal menu impostazione del gnome-terminal. Selezionate le vostre opzioni preferite (queste modifiche avranno luogo nel terminale che state utilizzando correntemente, quindi avrete una idea di cosa state modificando) e prima di chiudere la finestra di dialogo, assicuratevi di aver inserito un nuovo nome nello spazio "Classe del terminale".

Per attivare una classe specifica all'avvio del programma è possibile utilizzare l'opzione da riga di comando --tclass

### Opzioni da riga di comando

- --background COLORE

  Viene utilizzata per specificare all'avvio il colore di sfondo del terminale. COLORE può essere espresso in qualunque forma sia riconosciuta dal vostro sistema a finestre.

- --tclass NOMECLASSE

  Specifica la classe di terminale da utilizzare all'avvio configurare il terminale.

- --command CMD, -e CMD

  Esegue il comando CMD all'avvio.

- --execute CMD ARGS, -x CMD ARGS

  Esegue il comando CMD passandogli gli argomenti ARGS all'avvio. Nessun argomento oltre questo verrà interpretato dal gnome-terminal. Questa opzione si ispira direttamente a xterm -e

- --font FONT

  Imposta il font del terminale uguale a FONT.

- --foreground COLORE

  Imposta il colore del testo del terminale uguale a COLORE.

- --geometry GEOMETRIA

  Specifica la dimensione (geometria) iniziale per questo terminale. La geometria specifica l'altezza e la larghezza desiderate espresse in numero di caratteri del terminale. Ad esempio: --geometry=80x40 creerà un terminal di ottanta colonne per quaranta righe.

- --login

  gnome-terminal avvierà la shell in modalità login (tutti i vostri script di login verranno letti e avviati in questa modalità).

- --nologin

  gnome-terminal eseguirà una semplice shell, senza avviare nessun script di login o inizializzazione.

- --noutmp

  Indica che questa e le altre shell associate non devono essere registrate nel database di sistema degli utenti collegati al computer.

- --utmp

  Indica che l'utente esplicitamente desidera che questo terminale deve essere registrato nel database di sistema degli utenti collegati al computer (il database utmp). Questa opzione viene utilizzata per default.

- --lastlog

  Crea sempre una voce nel log 'last' per ciascun terminale.

- --lastlog

  Non creare una voce nel log 'last' per ciascun terminale.

- --title TITOLO, -t TITOLO

  Permette di utilizzare TITOLO come titolo della finestra del terminale Gnome.

- --termname TERMNAME

  Utilizza TERMNAME come variabile di ambiente TERM all'interno del terminale Gnome.

- --start-factory-server

  Tenta di avviare il servizio TerminalFactory per questo terminale.

- --use-factory

  Tenta di creare una finestra terminale dal servizio TerminalFactory.

È possibile utilizzare più di una opzione alla volta. Ad esempio, su un sistema munito del browser web testuale Lynx, è possibile eseguire 'gnome-terminal --title Web --command lynx', il quale aprirà un gnome-terminal che avvia al suo interno Lynx e che ha come titolo della finestra la stringa "Web".

### Uso del puntatore

Il puntatore può essere utilizzato per selezionare (copiare) ed estendere la selezione del testo, incollarlo da altri terminali o applicazioni e visualizzare un menu.

#### Selezione

La seguente descrizione assume la presenza di un mouse standard a tre pulsanti che non è stato reso mancino tramite il centro di controllo. Ovviamete i mouse mancini funzioneranno, ma i tasti saranno invertiti.

Il pulsante sinistro del mouse può essere utilizzato per iniziare una selezione. Se viene premtuo una volta e trascinato, i caratteri verranno selezionati individualmente. Se trascinate oltre i limiti della finestra questa scorrerà assieme al movimento del cursore.

Se il pulsante sinistro del mouse viene cliccato due volte di seguito allora la selezione sarà fatta in base alle parole. Tenere premuto il pulsante del mouse sul secondo click per trascinare e allargare la selezione. I caratteri-parola sono definiti nella finestra di dialogo.

Infine, se il pulsante sinistro del mouse viene cliccato tre volte di seguito e rilasciato, verranno selezionate intere linee di testo al trascinamento del cursore verso l'alto e/o il basso.

Il pulsante destro del mouse può essere utilizzato per estendere per estendere la selezione. Scorrete semplicemente al punto dove volete estenderla e cliccate il pulsante destro del mouse mentre il mouse si trova ancora sulla barra di scorrimento. Nuovamente, click singoli, doppi e tripli avranno un risultato a carattere, a parole o a linea.

In tutti i casi, rilasciare il pulsante del mouse copierà automaticamente il testo selezionato all'interno del clipboard e può essere eventualmente copiato in altre applicazioni. Notare che qualunque nuovo inserimento nella finestra di testo annullerà le selezione fatta, ma il contenuto del clipboard non verrà perso.

#### Incollare il testo

Se viene premtuo il pulsante centrale del mouse, allora la selezione corrente viene incollata nella finestra. Questa funzionalità può essere sfruttata per trasferire del testo tra applicazioni.

Se avete un mouse con solo due pulsanti, allora il vostro server X può emulare il pulsante centrale. Fate riferimento alla documentazione del vostro server X per maggiori informazioni.

#### Mouse con rotella

Se il vostro mouse possiede una rotella (che emula gli eventi del quarto e quinto pulsante del mouse), allora è possibile utilizzarla per scorrere in alto e in basso il buffer di testo.

#### Menu di controllo

Il puntatore può inoltre essere utilizzato per visualizzare un menu di controllo, il quale può essere utilizzato per reinizializzare il terminale, oppure per mostrare la barra del menu, se questa è stata precedentemente nascosta.

Durante la pressione del tasto CTRL, il pulsante destro del mouse può essere utilizzato per mostrare questo menu.

#### Aprire URL

Il terminale di Gnome può essere utilizzato per selezionare URL dal testo visualizzato, semplicemente spostando il mouse sopra il testo relativo. L'URL verrà allora evidenziato, ridisegnato con una leggera sottolineatura e il cursore del mouse cambiarà forma.

Chiamando il menu di controllo al di sopra di un URL evidenziato verrà aggiunta una nuova voce a questo per permettere l'apertura dell'URL in un browser.

La pressione del tasto sinistro del mouse durante la pressione del tasto CTRL permette di aprire direttamente la URL senza passare dal menu.

#### Drag and Drop

Il drag and drop può essere utilizzato per una serie di operazioni all'interno del terminale.

Trascinare file

  Se dei file vengono trascinati sul terminale, allora il loro nome completo verrà incollato nella finestra. Anche gli URL possono essere gestiti in questo modo.

Trascinare i colori

  Un colore può essere trascinata da un'altra applicazione gnome, oppure dal selettore di colori all'interno dello schermo. Se questi vengono trascinati su di un carattere, allora il testo assumerà questo nuovo colore, altrimenti sarà lo sfondo ad assumere la nuova colorazione. Fate riferimento alla sezione configurazione dei colori

### Menu

Il terminale di Gnome fornisce una serie di controlli attraverso la barra del menu e il menu a tendina.

#### Menu File

Nuovo terminale

  Crea un nuovo terminale. Questo è un modo molto efficiente per creare terminali multipli, visto che vengono identificati nello stesso processo e PID. D'altra parte, ciascun terminale avvia un nuovo processo per la shell.

Nascondi barra del menu

  Nasconde la barra principale del menu nel terminale, rendendolo più piccolo. La barra del menu può essere nuovamente visualizzata utilizzato il menu di controllo.

Chiudi il terminale

  Chiude il terminale corrente. Chiude inoltre qualunque altro terminale aperto attraverso la linea di comando di quel terminale. Se questo è l'ultimo terminale presente, allora il programma terminerà.

#### Menu Modifica

Incolla

  Incolla la selezione corrente o il clipboard nel terminale. Operazione eseguibile anche attraverso la pressione del tasto centrale del mouse.

#### Menu Opzioni

Preferenze ...

  Mostra la finestra di dialogo per le preferenze. Le impostazioni che possono essere controllate da questa finestra sono descritte nella sezione configurazione.

Ripristina il terminale

  Ripristina i parametri del terminale. Questo non cancellerà lo schermo o sposterà l cursore, ma ogni terminale aperto successivamente sarà inizializzato con i font e attributi predefiniti.

Ripristina e cancella

  Ripristina i parametri del terminale, cancellando inoltre il contenuto dello schermo. Tutti i caratteri e attributi vengono annullati.

Selettori colori...

  Può essere utilizzato per trascinare i colori nel terminale. Fate riferimento alla descrizione del selettore dei colori.

#### Menu Aiuto

GNOME terminal users guide ...

  Come leggere questo documento attraverso il gnome-terminal.

Informazioni su...

  Una piccola lista delle persone che hanno lavorato duramente per rendere tutto questo possibile.

#### Menu a tendina

Il menu a tendina di controllo può essere visualizzato premendo il tasto destro del mouse durante la pressione del tasto CTRL. Fornisce una sorta di abbreviazione al menu principale, o da usare quando questo non è visualizzato. Sono presenti le seguenti voci:

Nuovo terminale...

  Crea una nuova finestra di terminale.

Preferenze...

  Mostra la finestra di dialogo per le preferenze.

Mostra la barra del menu

  Nasconde/visualizza la barra principale del menu.

Reset terminale

  Ripristina gli attributi del terminale senza cancellare il contenuto dello schermo.

Riprista e cancella

  Ripristina gli attributi del terminale e cancella il contenuto dello schermo.

Apri nel browser

  Se il puntatore del mouse si trova sopra un URL quando viene visualizzato il menu a tendina, allora sarà disponibile questa opzione per aprire il browser all'URL selezionato. Utilizzando il tasto CTRL assieme al pulsante sinistro del mouse si ottiene il medesimo effetto.

### Ambiente

Le seguenti variabili sono impostate dal gnome-terminal:

- TERM

  Per default questa variabile viene impostata uguale a "xterm". Alcune implementazioni di curses e applicazioni basate su queste possono richiedere un valore uguale a "xterm-color", "color-xterm" oppure "xterm-debian" per sfruttare il supporto dei colori. Potreste aver bisogno di modificare questo valore se la vostra applicazione non visualizza correttamente i colori. Può essere impostata anche attraverso l'opzione --termname alla linea di comando.

- COLORTERM

  Questa variabile è impostata da gnome-terminal. Svariate applicazioni (specialmente le applicazioni basate su Slang) utilizzano questa opzione per determinare se il terminal fornisce o meno un supporto per i colori.

- WINDOWID

  Questa variabile contiene l'identificativo della finestra di X11. Questa viene talvolta utilizzata dalle applicazioni per modificare il contenuto di questa finestra oppure per creare particolari effetti grafici.

### Autori

Un gran numero di persone hanno lavorato assieme per creare il gnome-terminal:

Michael Zucchi ha scritto il motore del widget Zvt. Miguel de Icaza e Jay Painter l'hanno migliorato ed eseguito un lungo debug e una attiva manutenzione. George Lebl ha aggiunto la trasparenza e il supporto per le immagini di sfondo al widget. Micheal Zucchi ha successivamente migliorato le trasparenza e il supporto delle immagini, aggiungendo le sfumature e incrementando notevolmente le velocità di scorrimento e visualizzazione.

Miguel ha scritto il programma del terminale gnome, Erik Troan ha fornito il supporto per le classi del terminale assieme ad altre particolarità. Jeff Garzik, Jay, Christopher Blizzard, Michael, Jens Lautenbacher, Tom Tromey, Tristan Tarrant, Jonathan Blandford e Michael Zucchi hanno fornito ulteriori miglioramenti e correzioni. Nat Friedman ha riveduto l'interfaccia utente per renderla conforme allo stile di Gnome. Felix Bellaby, Tom Tromey e Manish Vachharajani hanno implementato e migliorato il codice per la gestione di sessione.